<script setup>
import ModalButton from "@/components/atoms/button/ModalButton.vue";
import ShortcutText from "@/components/atoms/text/shorcut/ShortcutText.vue";
import {findShortcutWithShortcutEnum, SHORTCUTS} from "@/constants/SHORTCUTS_PER_SECTION";
import {useShortcutsModalStore} from "@/stores/Shortcuts/ShortcutsModalStore";

const showShortcutsModal = useShortcutsModalStore();

</script>

<template>
  <ModalButton
      @click="showShortcutsModal.show()"
  >
    <ShortcutText :shortcut="findShortcutWithShortcutEnum(SHORTCUTS.SHOW_SHORTCUTS_MODAL)?.toString()">Raccourcis</ShortcutText>
  </ModalButton>
</template>
